/*  This file is part of epubgrep.
 *  Copyright © 2021 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPUBGREP_OPTIONS_HPP
#define EPUBGREP_OPTIONS_HPP

#include "fs-compat.hpp"

#include <boost/program_options/variables_map.hpp>

namespace epubgrep::options
{

namespace po = boost::program_options;

//! Parse options and return them.
po::variables_map parse_options(int argc, char *argv[]);

/*!
 *  @brief Returns the path of the config file.
 *
 *  If XDG_CONFIG_HOME is set: ${XDG_CONFIG_HOME}/epubgrep.conf
 *  If HOME is set:            ${HOME}/.config/epubgrep.conf
 *  Otherwise:                 epubgrep.conf
 */
fs::path get_config_path();

} // namespace epubgrep::options

#endif // EPUBGREP_OPTIONS_HPP
